
TYPO3.Fluid - Bug # 44889

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2013-01-28 Assigned To:
Updated: 2013-03-21 Due date:
Has patch: No
Affected Flow version: (any)
Subject: Format urlencode viewhelper should work with objects that implement __toString
Description

currently a check for is_string prevents format.urlencode to work with objects that implements __toString

Associated revisions
Revision d8097eb1 - 2013-01-29 12:33 - Robert Lemke

[!!!][BUGFIX] urlencode viewhelper accepts objects with __toString

This fixes a problem with the urlencode view helper. If you pass it an
object with _toString() method – for example an URI object – it is
returned as is. Now the view helper additionally checks for a
_toString() method.

This change is breaking if you rely on the viewhelper to return
values that are not a string or an object with __toString.
The viewhelper will now throw an exception in this case.

Change-Id: Ibf53dab49b47f8a73870dc53b8e6380b38cd01ec
Fixes: #44889
Releases: 2.0, master

Revision b10d6f6b - 2013-03-21 16:17 - Robert Lemke

[!!!][BUGFIX] urlencode viewhelper accepts objects with __toString

This fixes a problem with the urlencode view helper. If you pass it an
object with _toString() method – for example an URI object – it is
returned as is. Now the view helper additionally checks for a
_toString() method.

This change is breaking if you rely on the viewhelper to return
values that are not a string or an object with __toString.
The viewhelper will now throw an exception in this case.

Change-Id: Ibf53dab49b47f8a73870dc53b8e6380b38cd01ec
Fixes: #44889
Releases: 2.0, master

History
#1 - 2013-01-28 16:30 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17763

#2 - 2013-01-28 16:32 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17763

#3 - 2013-01-28 16:35 - Christian Müller

Note: This is the same in other format viewhelpers as well, so should probably be changed there as well to be consistent.

#4 - 2013-01-28 18:18 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17763

#5 - 2013-01-28 18:19 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17763

#6 - 2013-01-28 18:27 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17763

#7 - 2013-01-29 10:02 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17763

#8 - 2013-01-29 10:02 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17763

#9 - 2013-01-29 10:03 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17763
#10 - 2013-01-29 12:01 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17763

#11 - 2013-01-29 12:33 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17763

#12 - 2013-01-31 01:22 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved

#13 - 2013-03-21 16:18 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19137

#14 - 2013-03-21 16:37 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b10d6f6b492c2241f73891760b8603bdc2d64df6.
